Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-4426

Overview

Vulnerability Score 4.0 4.0
CVE Id CVE-2005-4426
Last Modified 05 Sep 2008 04:56:51
Published 20 Dec 2005 06:03:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2005-4426

Summary

Interpretation conflict in YaBB before 2.1 allows remote authenticated users to inject arbitrary web script or HTML via HTML in a file with a GIF file extension, which causes the HTML to be executed by a victim who views the file in Internet Explorer as a result of CVE-2005-3312. NOTE: it could be argued that this vulnerability is due to a design flaw in Internet Explorer and the proper fix should be in that browser; if so, then this should not be treated as a vulnerability in YaBB.

Vulnerable Systems

Application

  • Yabb 1 Gold - Sp 1

  • Yabb 1 Gold - Sp 1.2

  • Yabb 1 Gold - Sp 1.3

  • Yabb 1 Gold - Sp 1.3.1

  • Yabb 1 Gold - Sp 1.3.2

  • Yabb 1 Gold - Sp 1.4

  • Yabb 1 Gold Release

  • Yabb 1.40

  • Yabb 1.41

  • Yabb 2.0

  • Yabb 2.0 Rc1

  • Yabb 2.0 Rc2


References

XF - yabb-image-attachment-xss(23020)

CONFIRM - http://www.yabbforum.com/downloads.php

BID - 15368

SECUNIA - 17411


Last Updated: 27 May 2016 10:41:18